These samples show how to supply the data for a report at runtime with Angular, React, Vue, and pure JavaScript applications. For more details, please visit the Data Binding page. To view the code, scroll down the page.
loading...<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Runtime Data Binding Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<script src="/activereportsjs/demos/arjs/dist/ar-js-core.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-viewer.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-pdf.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-tabular-data.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-html.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-viewer.css"
/>
<style>
#viewer-host {
margin: 0 auto;
width: 100%;
height: 600px;
}
</style>
</head>
<body onload="onLoad()">
<div id="viewer-host"></div>
<script>
async function loadData() {
// Use the Fetch Api to pull the data https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch
const headers = new Headers();
const dataRequest = new Request(
"https://demodata.mescius.io/northwind/api/v1/Customers",
{
headers: headers,
}
);
const response = await fetch(dataRequest);
const data = await response.json();
return data;
}
async function loadReport() {
// load report definition from the file
const reportResponse = await fetch(
"/activereportsjs/demos/resource/reports/CustomersTable.rdlx-json"
);
const report = await reportResponse.json();
return report;
}
async function onLoad() {
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
const viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer(
"#viewer-host"
);
viewer.theme="ActiveReports";
const data = await loadData();
const report = await loadReport();
// update the embedded data
report.DataSources[0].ConnectionProperties.ConnectString =
"jsondata=" + JSON.stringify(data);
viewer.open(report);
}
</script>
</body>
</html>
Submit and view feedback for

Runtime Data Binding

These samples show how to supply the data for a report at runtime with Angular, React, Vue, and pure JavaScript applications. For more details, please visit the Data Binding page. To view the code, scroll down the page.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
app.vue
index.html
Copy to CodeMine
loading...
<template> <div id="viewer-host"> <JSViewer ref="reportViewer" theme="ActiveReports"></JSViewer> </div> </template> <script> import { ref, onMounted } from "vue"; import { Viewer } from "@mescius/activereportsjs-vue"; import "@mescius/activereportsjs/pdfexport"; import "@mescius/activereportsjs/htmlexport"; import "@mescius/activereportsjs/tabulardataexport"; import Core from "@mescius/activereportsjs/core"; Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json"); export default { components: { JSViewer: Viewer, }, setup() { const reportViewer = ref(null); const loadData = async () => { const headers = new Headers(); const dataRequest = new Request( "https://demodata.mescius.io/northwind/api/v1/Customers", { headers: headers, } ); const response = await fetch(dataRequest); const data = await response.json(); return data; }; const loadReport = async () => { const reportResponse = await fetch( "/activereportsjs/demos/resource/reports/CustomersTable.rdlx-json" ); const report = await reportResponse.json(); return report; }; onMounted(async () => { const data = await loadData(); const report = await loadReport(); report.DataSources[0].ConnectionProperties.ConnectString = "jsondata=" + JSON.stringify(data); reportViewer.value.Viewer().open(report); }); return { reportViewer }; }, }; </script> <style> #viewer-host { width: 100%; height: 600px; } </style>
<template> <div id="viewer-host"> <JSViewer ref="reportViewer" theme="ActiveReports"></JSViewer> </div> </template> <script> import { ref, onMounted } from "vue"; import { Viewer } from "@mescius/activereportsjs-vue"; import "@mescius/activereportsjs/pdfexport"; import "@mescius/activereportsjs/htmlexport"; import "@mescius/activereportsjs/tabulardataexport"; import Core from "@mescius/activereportsjs/core"; Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json"); export default { components: { JSViewer: Viewer, }, setup() { const reportViewer = ref(null); const loadData = async () => { const headers = new Headers(); const dataRequest = new Request( "https://demodata.mescius.io/northwind/api/v1/Customers", { headers: headers, } ); const response = await fetch(dataRequest); const data = await response.json(); return data; }; const loadReport = async () => { const reportResponse = await fetch( "/activereportsjs/demos/resource/reports/CustomersTable.rdlx-json" ); const report = await reportResponse.json(); return report; }; onMounted(async () => { const data = await loadData(); const report = await loadReport(); report.DataSources[0].ConnectionProperties.ConnectString = "jsondata=" + JSON.stringify(data); reportViewer.value.Viewer().open(report); }); return { reportViewer }; }, }; </script> <style> #viewer-host { width: 100%; height: 600px; } </style>
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8" /> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <title>ActiveReportsJS Report Viewer Runtime Data Binding Sample</title> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css" /> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script src="./compiler.js" type="module"></script> <script src="/activereportsjs/demos/arjs/dist/ar-js-core.js"></script> <script src="/activereportsjs/demos/arjs/dist/ar-js-viewer.js"></script> <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap" rel="stylesheet" /> <link rel="stylesheet" type="text/css" href="/activereportsjs/demos/arjs/styles/ar-js-ui.css" /> <link rel="stylesheet" type="text/css" href="/activereportsjs/demos/arjs/styles/ar-js-viewer.css" /> <script> System.import("./app.js"); </script> </head> <body style="margin: 0"> <div id="app"></div> </body> </html>
(function (global) { SystemJS.config({ transpiler: "systemjs-plugin-babel", typescriptOptions: { target: "es5", module: "system", }, baseURL: "./node_modules/", packageConfigPaths: [ "./node_modules/*/package.json", "./node_modules/@mescius/*/package.json", "./node_modules/@babel/*/package.json", "./node_modules/@vue/*/package.json", ], map: { vue: "./node_modules/vue/dist/vue.esm-browser.js", "systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js", "@mescius/activereportsjs/pdfexport": "@mescius/activereportsjs/dist/ar-js-pdf.js", "@mescius/activereportsjs/tabulardataexport": "@mescius/activereportsjs/dist/ar-js-tabular-data.js", "@mescius/activereportsjs/htmlexport": "@mescius/activereportsjs/dist/ar-js-html.js", "@mescius/activereportsjs/xlsxexport": "@mescius/activereportsjs/dist/ar-js-xlsx.js", "@mescius/activereportsjs-vue": "@mescius/activereportsjs-vue/lib/index.js", "@mescius/activereportsjs/reportviewer": "./reportviewer.js", "@mescius/activereportsjs/viewer": "./reportviewer.js", "@mescius/activereportsjs/reportdesigner": "@mescius/activereportsjs/dist/ar-js-designer.js", "@mescius/activereportsjs/core": "@mescius/activereportsjs/dist/ar-js-core.js", "@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles", "@mescius/activereportsjs-i18n": "@mescius/activereportsjs-i18n/dist/ar-js-locales.js", "@mescius/ar-js-pagereport": "@mescius/activereportsjs/dist/ar-js-core.js", }, meta: { "*.css": { loader: "systemjs-plugin-css" }, "./src/*.vue": { loader: "../plugin-vue/index.js" }, "*.vue": { loader: "./plugin-vue/index.js" }, }, packages: { "vue-demi": { defaultExtension: "mjs", main: "lib/index.mjs", }, }, }); })(this);

import React from "react";
import ReactDOM from "react-dom";
import { Viewer } from "@mescius/activereportsjs-react";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import { FontStore } from "@mescius/activereportsjs/core";
async function loadData() {
// Use the Fetch Api to pull the data https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch
const headers = new Headers();
const dataRequest = new Request(
"https://demodata.mescius.io/northwind/api/v1/Customers",
{
headers: headers,
}
);
const response = await fetch(dataRequest);
const data = await response.json();
return data;
}
async function loadReport() {
// load report definition from the file
const reportResponse = await fetch(
"/activereportsjs/demos/resource/reports/CustomersTable.rdlx-json"
);
const report = await reportResponse.json();
return report;
}
function App() {
const viewerRef = React.useRef();
React.useEffect(() => {
async function openReport() {
const data = await loadData();
const report = await loadReport();
report.DataSources[0].ConnectionProperties.ConnectString =
"jsondata=" + JSON.stringify(data);
viewerRef.current.Viewer.open(report);
}
openReport();
}, []);
return (
<div id="viewer-host">
<Viewer ref={viewerRef} theme="ActiveReports" />
</div>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Runtime Data Binding Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

import { Component, ViewChild } from "@angular/core";
import {
ViewerComponent,
AR_EXPORTS,
PdfExportService,
HtmlExportService,
TabularDataExportService,
} from "@mescius/activereportsjs-angular";
@Component({
selector: "app-root",
template:
'<div id="viewer-host"><gc-activereports-viewer (init)="onViewerInit()" theme="ActiveReports"> </gc-activereports-viewer></div> ',
styleUrls: ["src/app.component.css"],
providers: [
{
provide: AR_EXPORTS,
useClass: PdfExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: HtmlExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: TabularDataExportService,
multi: true,
},
],
})
export class AppComponent {
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
async loadData() {
// Use the Fetch Api to pull the data https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch
const headers = new Headers();
const dataRequest = new Request(
"https://demodata.mescius.io/northwind/api/v1/Customers",
{
headers: headers,
}
);
const response = await fetch(dataRequest);
const data = await response.json();
return data;
}
async loadReport() {
// load report definition from the file
const reportResponse = await fetch(
"/activereportsjs/demos/resource/reports/CustomersTable.rdlx-json"
);
const report = await reportResponse.json();
return report;
}
async onViewerInit() {
const data = await this.loadData();
const report = await this.loadReport();
// update the embedded data
report.DataSources[0].ConnectionProperties.ConnectString =
"jsondata=" + JSON.stringify(data);
this.reportViewer.open(report);
}
}
#viewer-host {
width: 100%;
height: 600px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { ReactiveFormsModule } from "@angular/forms";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ReactiveFormsModule, ActiveReportsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: './node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' }
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'typescript': 'typescript/lib/typescript.js',
"rxjs": "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
"@angular/core": {
defaultExtension: 'mjs',
"main": "fesm2022/core.mjs"
},
"@angular/platform-browser": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser.mjs"
},
"@angular/common": {
defaultExtension: 'mjs',
"main": "fesm2022/common.mjs"
},
"@angular/compiler": {
defaultExtension: 'mjs',
"main": "fesm2022/compiler.mjs"
},
"@angular/forms": {
defaultExtension: 'mjs',
"main": "fesm2022/forms.mjs"
},
"@angular/localize": {
defaultExtension: 'mjs',
"main": "fesm2022/localize.mjs"
},
"@angular/platform-browser-dynamic": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser-dynamic.mjs"
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
}
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Runtime Data Binding Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-viewer.css"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body>
<app-root></app-root>
</body>
</html>